Pages
Get the published HTML
Read the HTML artifact of an HTML page: the current draft or a published version.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
page_id*Page Id
Resource identifier: page_id.
Format
uuidQuery Parameters
version_id?|
Published version; omitted for the current draft.
Default
nullHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/pages/123e4567-e89b-42d3-a456-426614174000/html"{ "page_id": "123e4567-e89b-42d3-a456-426614174000", "version_id": "123e4567-e89b-42d3-a456-426614174001", "html": "<!doctype html><html><body>Quarterly report</body></html>", "size": 2048, "sha256": "3f786850e387550fdab836ed7e6dc881de23001b3f786850e387550fdab836ed"}